<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterMovimentacoesServidoresEventoInt extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        DB::statement('ALTER TABLE movimentacoes_servidores ALTER COLUMN evento TYPE smallint USING (evento::smallint)');
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('movimentacoes_servidores', function (Blueprint $table) {
            $table->string('evento', 30)->change();
        });
    }
}
